Subject: Re: [PATCH] net: ipconfig: Allow DNS to be overwritten by DHCPACK

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 May 2023 19:51:12 -0700

On Wed, 3 May 2023 12:06:53 +0200 Martin Wetterwald wrote:
> Because DNS servers were only specified in the DHCPACK and not in the
> DHCPOFFER, Linux will not catch the correct DNS servers: in the first
> BOOTP reply (DHCPOFFER), it sees that there is no DNS, and sets as
> fallback the IP of the DHCP server itself. When the second BOOTP reply
> comes (DHCPACK), it's already too late: the kernel will not overwrite
> the fallback setting it has set previously.

Could we not remember that the address present is a fallback and let
the DHCPACK overwrite it?